<?php


$general = array(
    'disable-user-roles' => array(),
    'members-slug' => 'our-team',

    'debug-mode' => 'off',
);

$image_resizing = array(
    'img-resizing-1-name' => 'teamgrid_square_image',
    'img-resizing-1-width' => 500,
    'img-resizing-1-height' => 500,

    'img-resizing-2-name' => 'teamgrid_rectangle_horizontal_image',
    'img-resizing-2-width' => 500,
    'img-resizing-2-height' => 320,

    'img-resizing-3-name' => 'teamgrid_rectangle_vertical_image',
    'img-resizing-3-width' => 500,
    'img-resizing-3-height' => 640,
);


$member = array(
    'social-icons-title' => '',
    'social-icons-icon-size' => 40,
    'social-icons-color' => 'rgba(51, 51, 51, 1)',
    'social-icons-color-hover' => 'rgba(0, 0, 0, 1)',
    'social-icons-border-radius' => 50,

    'fields-title' => '',

    'skills-title' => '<h4>Skills:</h4>',
    'skills-bg-color' => 'rgba(0, 0, 0, 0.2)',
    'skills-bg-percent' => 'rgba(0, 0, 0, 0.7)',
);

$strings_translation = array(
    'filter-text-all' => esc_html__( 'All', 'teamgrid' ),
    'table-text-image' => esc_html__( 'Image', 'teamgrid' ),
    'table-text-name' => esc_html__( 'Name', 'teamgrid' ),
    'table-text-role' => esc_html__( 'Role', 'teamgrid' ),
    'table-text-description' => esc_html__( 'Description', 'teamgrid' ),
    'table-text-social-icons' => esc_html__( 'Social Icons', 'teamgrid' ),
    'table-text-content' => esc_html__( 'Content', 'teamgrid' ),
    'table-text-fields' => esc_html__( 'Fields', 'teamgrid' ),
    'table-text-skills' => esc_html__( 'Skills', 'teamgrid' ),
);

$css_scripts = array(
    'custom-css' => '',
    'custom-javascript' => '',
);


$header_footer_scripts = array(
    'header-scripts' => '
<script>

</script>

',//Line break here fixes an Error 500 problem when saving settings.
    'footer-scripts' => '
<script>

</script>

',//Line break here fixes an Error 500 problem when saving settings.
    'header-scripts-priority' => '10',
    'footer-scripts-priority' => '10',
);

$defaults = array();
$defaults = array_merge( $defaults, $general );
$defaults = array_merge( $defaults, $image_resizing );
$defaults = array_merge( $defaults, $member );
$defaults = array_merge( $defaults, $css_scripts );
$defaults = array_merge( $defaults, $strings_translation );
$defaults = array_merge( $defaults, $header_footer_scripts );

return $defaults;