<?php

use TeamGrid\Includes\Functions;

$xbox->add_field(array(
    'id' => 'members-slug',
    'name' => esc_html__( 'Members slug', 'teamgrid' ),
    'desc_title' => esc_html__( 'E.g:', 'teamgrid' ). ' https://site.com/our-team/member1/',
    'desc' => esc_html__( 'After changing the value you must go to WP Settings > Permalinks > Choose "Post name" and then Save Settings', 'teamgrid' ),
    'type' => 'text',
    'default' => $defaults['members-slug']
));

$xbox->add_field(array(
    'id' => 'disable-user-roles',
    'name' => esc_html__( 'Disable plugin for', 'teamgrid' ),
    'type' => 'checkbox',
    'default' => array(),
    'items' => Functions::get_user_roles(array('edit_posts'), array('administrator')),
));

$xbox->add_field(array(
    'id' => 'load-google-fonts',
    'name' => __( 'Load Google Fonts', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'on',
));



$xbox->add_field(array(
    'name' => esc_html__( 'Debug', 'teamgrid' ),
    'type' => 'title',
));
$xbox->add_field(array(
    'id' => 'debug-mode',
    'name' => esc_html__( 'Debug mode', 'teamgrid' ),
    'desc' => esc_html__( 'This option is only for developers, allows to see processes and errors in the console.', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
));