<?php


$xbox->add_field(array(
    'id' => 'table-bordered',
    'name' => esc_html__( 'Table bordered', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'desc_tooltip' => false,
        'show_if' => array( 'layout-number', '=', '17' )//16
    ),
));

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Table striped', 'teamgrid' ),
    'options' => array(
        'show_if' => array( 'layout-number', '=', '17' )//16
    )
));
$xbox->add_field(array(
    'id' => 'table-striped',
    'name' => esc_html__( 'Enable', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'desc_tooltip' => false,
    ),
));
$xbox->add_field(array(
    'id' => 'table-striped-color',
    'name' => esc_html__( 'Stripe color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.03)',
    'options' => array(
        'format' => 'rgba',
    ),
));
$xbox->close_mixed_field();

$xbox->open_mixed_field(array(
    'name' => esc_html__( 'Table hover', 'teamgrid' ),
    'options' => array(
        'show_if' => array( 'layout-number', '=', '17' )//16
    )
));
$xbox->add_field(array(
    'id' => 'table-hover',
    'name' => esc_html__( 'Enable', 'teamgrid' ),
    'type' => 'switcher',
    'default' => 'off',
    'options' => array(
        'desc_tooltip' => false,
    ),
));
$xbox->add_field(array(
    'id' => 'table-hover-color',
    'name' => esc_html__( 'Hover color', 'teamgrid' ),
    'type' => 'colorpicker',
    'default' => 'rgba(0, 0, 0, 0.04)',
    'options' => array(
        'format' => 'rgba',
    ),
));
$xbox->close_mixed_field();

$xbox->add_field(array(
    'id' => 'table-columns',
    'name' => esc_html__( 'Table columns', 'teamgrid' ),
    'type' => 'select',
    'default' => array( 'image', 'name', 'role', 'description', 'social' ),
    'items' => array(
        'image' => esc_html( $this->plugin->settings->option('table-text-image') ),
        'name' => esc_html( $this->plugin->settings->option('table-text-name') ),
        'role' => esc_html( $this->plugin->settings->option('table-text-role') ),
        'description' => esc_html( $this->plugin->settings->option('table-text-description') ),
        'social' => esc_html( $this->plugin->settings->option('table-text-social-icons') ),
        'fields' => esc_html( $this->plugin->settings->option('table-text-fields') ),
        'skills' => esc_html( $this->plugin->settings->option('table-text-skills') ),
    ),
    'options' => array(
        'show_if' => array( 'layout-number', '=', '17' ),//16
        'multiple' => true,
        'max_selections' => 100
    ),
    'grid' => '6-of-6'
));